# Enum Class VulkanDependencyFlag

java.lang.Object
java.lang.Enum<VulkanDependencyFlag>
com.io7m.jcoronado.api.VulkanDependencyFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanDependencyFlag>`, `Constable`

public enum VulkanDependencyFlag extends Enum<VulkanDependencyFlag> implements VulkanEnumBitmaskType
Bitmask specifying how execution and memory dependencies are formed.

See Also:
  - "VkDependencyFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_DEPENDENCY_BY_REGION_BIT`
  VK_DEPENDENCY_BY_REGION_BIT specifies that dependencies will be framebuffer-local.
  `VK_DEPENDENCY_DEVICE_GROUP_BIT`
  VK_DEPENDENCY_DEVICE_GROUP_BIT specifies that dependencies are non-device-local dependency.
  `VK_DEPENDENCY_VIEW_LOCAL_BIT`
  VK_DEPENDENCY_VIEW_LOCAL_BIT specifies that a subpass has more than one view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanDependencyFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanDependencyFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_DEPENDENCY_BY_REGION_BIT

    public static final VulkanDependencyFlag VK_DEPENDENCY_BY_REGION_BIT
    VK_DEPENDENCY_BY_REGION_BIT specifies that dependencies will be framebuffer-local.

  - ### VK_DEPENDENCY_DEVICE_GROUP_BIT

    public static final VulkanDependencyFlag VK_DEPENDENCY_DEVICE_GROUP_BIT
    VK_DEPENDENCY_DEVICE_GROUP_BIT specifies that dependencies are non-device-local dependency.

  - ### VK_DEPENDENCY_VIEW_LOCAL_BIT

    public static final VulkanDependencyFlag VK_DEPENDENCY_VIEW_LOCAL_BIT
    VK_DEPENDENCY_VIEW_LOCAL_BIT specifies that a subpass has more than one view.

- ## Method Details

  - ### values

    public static VulkanDependencyFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanDependencyFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant